package xic.visitors;

import xic.ast.ASTNode;

/**
 * Identity transformation, for testing purposes
 */
public class IdentityVisitor extends NodeVisitor {
	protected ASTNode override(ASTNode parent, ASTNode n) {
		return null;
	}

	protected NodeVisitor enter(ASTNode parent, ASTNode n) {
		return this;
	}
	
	protected ASTNode leave(ASTNode parent, ASTNode n, ASTNode nNew,
			NodeVisitor vNew) {
		return nNew;
	}
}
