package xic.ast;

import xic.visitors.NodeVisitor;
import edu.cornell.cs.cs4120.xi.Position;

/**
 * Special marker node used to represent 
 * error reductions performed by CUP.
 */
public class ErrorStmt extends Stmt {
	public ErrorStmt(Position pos) {
		super(pos);
	}

	public ASTNode visitChildren(NodeVisitor v) {
		return this;
	}

	
	
	public String label() {
		return "error";
	}

	public Copyable copy() {
		return new ErrorStmt(position);
	}
}
