package xic.ast;

import xic.visitors.NodeVisitor;
import edu.cornell.cs.cs4120.xi.Position;

/**
 * 'New' expression
 */
public class New extends Expr {
	private String name;

	public New(Position pos, String name) {
		super(pos);
		this.name = name;
	}

	public String name() {
		return name;
	}
	
    public ASTNode visitChildren(NodeVisitor v) {
		return this;
	}
    
    public Copyable copy() {
    	return new New(position, name);
    }

	public String label() {
		return "new " + name;
	}
}
