package xic.ast;

import xic.visitors.NodeVisitor;
import edu.cornell.cs.cs4120.xi.Position;

public class This extends Expr {
	public This(Position pos) {
		super(pos);
	}

	public String label() {
		return "this";
	}

	public ASTNode visitChildren(NodeVisitor v) {
		return this;
	}	
	
	public Copyable copy() {
		Expr expr = new This(position);
    	expr.type = type;
    	return expr;
	}
}
